/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Premios;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface PremiosFacadeLocal {

    void create(Premios premios);

    void edit(Premios premios);

    void remove(Premios premios);

    Premios find(Object id);

    List<Premios> findAll();

    List<Premios> findRange(int[] range);

    int count();

    Premios busquedaPremio(String premioNombre, String programaCodigo);

    Premios findPremioByCodigo(String premioCodigo);

}
